package com.javaxpert.books.osgi.thridbundle.clients.scr;

import org.osgi.framework.BundleContext;

import com.javaxpert.books.osgi.thirdbundle.api.IHello;

import aQute.bnd.annotation.component.Activate;
import aQute.bnd.annotation.component.Component;
import aQute.bnd.annotation.component.Deactivate;
import aQute.bnd.annotation.component.Reference;

/**
 * version propulsée par le SCR du client du service IHello
 * @author romje
 *
 */
@Component
public class SCRPoweredClient {
	private IHello hello;
	
	@Reference
	public void setHello(IHello aHello){
		hello=aHello;
	}
	
	public void unsetHello(IHello aHello){
		hello=null;
	}

	@Activate
	public void activate(BundleContext bc){
		hello.sayHello();
	}
	@Deactivate
	public void deactivate(BundleContext bc){
		hello.sayHello();
	}
}
