package com.javaxpert.books.osgi.registry.api;

import java.util.List;

/**
 * <p>
 * stockage des classes dans un cache (Map)
 * offre les services basiques relatifs à ce cache
 * attention, il serait sain de planifier une gestion des erreurs!!
 * </p>
 * @author romje
 *
 */
public interface IClassRegistry {

	public void registerClass(String _name,Class _clazz);
	
	public void unregisterClass(String _name);
	
	public boolean isClassInCache(String _name);
	
	public List<String> listClasses();
	
	public Class getRegisteredClass(String _name);
	
	public void emptyCache();
	
}
