package com.javaxpert.books.osgi.businessobjects;

/**
 * <p>
 * Un objet métier typique, pas très utile....
 * Va être sérialisé via Castor XML...
 * respecte la convention JavaBean requise par ce produit!!!
 * </p>
 * @author J.MOLIERE - jerome@javaxpert.com
 *
 */
public class MyBusinessType {

	private String name;
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getOld() {
		return old;
	}

	public void setOld(int old) {
		this.old = old;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	private int old;
	private String address;
	
	public MyBusinessType(){
		
	}
	
	public MyBusinessType(int age,String nom,String adr){
		old=age;
		name=nom;
		address=adr;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((address == null) ? 0 : address.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + old;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MyBusinessType other = (MyBusinessType) obj;
		if (address == null) {
			if (other.address != null)
				return false;
		} else if (!address.equals(other.address))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (old != other.old)
			return false;
		return true;
	}
	
	
}
