package com.javaxpert.books.osgi.repository.api;

import aQute.bnd.annotation.component.Component;

/**
 * <p>
 * Cette interface propose des services permettant de lister , chercher ou ajouter/supprimer
 * des classes à publier au sein d'un conteneur OSGi.
 * </p>
 * @author J.MOLIERE , jerome@javaxpert.com
 *
 */
@Component
public interface IClassesRepository {

	public void publishClass(Class c) throws RegistryException;
	
	public void removeClass(String classname) throws RegistryException;
	
	public Class searchClass(String classname) throws RegistryException;
}
