package com.javaxpert.tests.tesngosgi;
import junit.framework.Assert;
import org.osgi.framework.Bundle;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.testng.annotations.Test;
public class TestSCROk extends BaseTest{
  @Test(groups={"fonctionalTesting"})
  public void listBundles(){
	BundleContext bc = getBc();
	Bundle[] bundles =bc.getBundles();
	for(Bundle b:bundles){
		System.out.println("Bundle : "+ b.getSymbolicName() + " in version : " + b.getVersion() + " with status = "+ b.getState());
	}	
  }
  @Test(groups={"fonctionalTesting"})
  public void scrIsReady() {
	ServiceReference sr = getBc().getServiceReference("org.osgi.service.log.LogService");
	if(sr==null)
		Assert.fail("Unable to get LogService reference");
	else{
	  Object ref =getBc().getService(sr);
	  if(ref!=null){
		  System.out.println("LogService present .;everything is ok");
	  }
	  else{
		  Assert.fail("Unable to find the LogService..should be already started");
	  }
	}
  }//scrIsReady()
}
