package com.javaxpert.books.osgi.secondbundle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.osgi.framework.BundleContext;
import aQute.bnd.annotation.component.Activate;
import aQute.bnd.annotation.component.Component;
import aQute.bnd.annotation.component.Deactivate;

@Component
/**
 * <p>
 * un second bundle dependant des classes du projet Commons Lang
 * ici dependance un peu artificielle car rien de tres utile n'est fait
 * avec cette librairie si ce n'est afficher un message dans la console a 
 * l activation du bundle...
 * </p>
 * @author jerome@javaxpert.com
 *
 */
public class SecondBundle {

	@Activate
	public void activate(BundleContext bc){
		ToStringBuilder builder=new ToStringBuilder(this);
		System.out.println("builder "+builder.toString());
	}//
	
	@Deactivate
	public void deactivate(BundleContext bc){
		System.out.println("second bundle supprimé");
	}//
}
